
close all;

% computational domain
NX = 2048;
cx = linspace(0,NX-1,NX);

% parameters
la = 25;
k0 = 2.0/la;
w0 = 5.0*la;

% define initial electric field fucntion
InitialE = @(x,x0) sin(k0*x).*exp(-(x-x0).*(x-x0)/w0^2);

% choose time step:
dtoverdx = 0.75;

figure(1);
hold off;

NS = 4096/16;

% set white-noise initial condition
EF = rand(1,NX)-0.5;
HF = rand(1,NX)-0.5;

holder = zeros(NS,NX);

% execute some steps
for s=1:NS
EF = EF + dtoverdx*(circshift(HF,[1,-1]) - HF);
HF = HF - dtoverdx*(circshift(EF,[1,+1]) - EF);

holder(s,:) = EF;

plot(cx,EF); xlabel('grid location'); ylabel('electric field'); xlim([1,2048]);ylim([-1,1]);
pause(0.01);
end

figure(2)
spectrum = fft2(holder);
imagesc(log10(abs(spectrum))); colorbar;






